Package ru.bitel.bgbilling.kernel.contract.api.common.bean.customer

# Enum CustomerContactType

java.lang.Object
java.lang.Enum<CustomerContactType>
ru.bitel.bgbilling.kernel.contract.api.common.bean.customer.CustomerContactType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CustomerContactType>`, `java.lang.constant.Constable`

    public enum CustomerContactType
    extends java.lang.Enum<CustomerContactType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `EMAIL` |
  `HOME_PHONE` |
  `PHONE` |

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `java.lang.String` | `description` |
  `java.lang.String` | `key` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CustomerContactType` | `getContactTypeByKey​(java.lang.String key)` |
  `static CustomerContactType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static CustomerContactType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EMAIL

    public static final CustomerContactType EMAIL

  - ### PHONE

    public static final CustomerContactType PHONE

  - ### HOME_PHONE

    public static final CustomerContactType HOME_PHONE

- ## Field Details

  - ### key

    public java.lang.String key

  - ### description

    public java.lang.String description

- ## Method Details

  - ### values

    public static CustomerContactType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CustomerContactType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getContactTypeByKey

    public static CustomerContactType getContactTypeByKey​(java.lang.String key)